SDL_MultiGestureEvent Struct Reference

Multiple Finger Gesture Event (event.mgesture.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_TouchID | touchId
float | dTheta
float | dDist
float | x
float | y
Uint16 | numFingers
Uint16 | padding

## Detailed Description

Multiple Finger Gesture Event (event.mgesture.*)

Definition at line 427 of file SDL_events.h.

## Field Documentation

float SDL_MultiGestureEvent::dDist

Definition at line 433 of file SDL_events.h.

Referenced by loop().

float SDL_MultiGestureEvent::dTheta

Definition at line 432 of file SDL_events.h.

Referenced by loop().

Uint16 SDL_MultiGestureEvent::numFingers

Definition at line 436 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

Uint16 SDL_MultiGestureEvent::padding

Definition at line 437 of file SDL_events.h.

Uint32 SDL_MultiGestureEvent::timestamp

Definition at line 430 of file SDL_events.h.

SDL_TouchID SDL_MultiGestureEvent::touchId

The touch device index

Definition at line 431 of file SDL_events.h.

Uint32 SDL_MultiGestureEvent::type

SDL_MULTIGESTURE

Definition at line 429 of file SDL_events.h.

float SDL_MultiGestureEvent::x

Definition at line 434 of file SDL_events.h.

Referenced by loop().

float SDL_MultiGestureEvent::y

Definition at line 435 of file SDL_events.h.

Referenced by loop().

The documentation for this struct was generated from the following file:

- include/SDL_events.h